
/* Genomic Comparison Tool
   Master Thesis of computer science

   Author: Yue Lu
   Version: 1.1

*/


/* Table cellRenderer class which is the default cell renderer
	of the shape combo box
*/
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.table.*;

public class ShapeTableCellRenderer implements TableCellRenderer
{
	//implement the abstract method of the interface
	public Component getTableCellRendererComponent(JTable table,
      Object value, boolean isSelected, boolean hasFocus,
      int row, int column)
   {
	   //set the Icon Image to a JLabel
	   ShapeLabel.setIcon((Icon)value);

       return ShapeLabel;
   }



   private JLabel ShapeLabel = new JLabel();
}
